using fbblTipi;

namespace fbblSchemaAziendale
{
    public class Malattia : Ferie_Permessi
    {
        private int GiorniMalattiaTotali;


        public Malattia(string Nome, string Cognome, string Sesso, string Via, string Numero,
                           string Citta, string Cap, string Provincia, string TelefonoFisso, string CodiceFiscale,
                           string Matricola, string Livello, string Mansione, int Retribuzione,
                           sbyte GiorniDiFerieGoduti, sbyte GiorniDiFerieDovuti, sbyte GiorniPermessiGoduti,
                           int GiorniMalattiaTotali)
            : base(Nome, Cognome, Sesso, Via, Numero, Citta, Cap, Provincia, TelefonoFisso,
                   CodiceFiscale, Matricola, Livello, Mansione, Retribuzione,
                   GiorniDiFerieGoduti, GiorniDiFerieDovuti, GiorniPermessiGoduti)
        {
            this.GiorniMalattiaTotali = GiorniMalattiaTotali;
        }

        public int get_GiorniMalattiaTotali()
        {
            return this.GiorniMalattiaTotali;
        }

        new public Liste stampa()
        {
            Liste MiaLista = base.stampa(); // eseguo la stampa della classe padre Nominativo

            MiaLista.ListaDiStringhe.Add(this.get_GiorniMalattiaTotali().ToString());

            return MiaLista;
        }
    }
}
